Bug 591552 - upgrade SIGAR from 1.6.3 to 1.6.4
Summary: upgrade SIGAR from 1.6.3 to 1.6.4
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Agent   
(Show other bugs)
Version: 1.3.1
Hardware: All
OS: All
high
medium vote
Target Milestone: ---
: ---
Assignee: Ian Springer
QA Contact: Rajan Timaniya
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 536877
TreeView+ depends on / blocked
 
Reported: 2010-05-12 14:37 UTC by Ian Springer
Modified: 2013-08-06 00:37 UTC (History)
2 users (show)

Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-12 16:50:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ian Springer 2010-05-12 14:37:06 UTC
SIGAR 1.6.4 was just released and contains fixes for a number of bugs that we care about (see the issues that this one blocks).

Comment 1 Ian Springer 2010-05-12 14:49:05 UTC
http://jira.hyperic.com/browse/SIGAR-201, for which there is no corresponding RHQ issue, is also fixed in 1.6.4.

Comment 2 Ian Springer 2010-05-12 14:54:39 UTC
Here's another one it fixes that we care about - http://jira.hyperic.com/browse/SIGAR-187. If there's a corresponding RHQ issue, I can't find it.

Comment 3 Ian Springer 2010-05-12 14:59:21 UTC
Done in master branch - commit 71c80f76135eb4ae34dae2914d471044ffdfb4d9.

Comment 4 Corey Welton 2010-05-18 13:18:19 UTC
QA: I think an execution of the regression suite will probably suffice to test this.

Comment 5 Rajan Timaniya 2010-05-19 10:25:35 UTC
Verified on JON build #154 - Revision: 10620
http://hudson-qe.rhq.rdu.redhat.com:8080/job/jon/154/

Installed latest JON build (build #154) and rhq-agent. There is upgraded SIGAR 1.6.4 - <AGENT_HOME>/lib/sigar-1.6.4.129.jar

Executed test automation group(s), observed execution results and verified server/agent log.

Comment 6 Corey Welton 2010-08-12 16:50:37 UTC
Mass-closure of verified bugs against JON.


Note You need to log in before you can comment on or make changes to this bug.